<div class="airport-selector">
  <form class="airport-selector-container">
    <mat-form-field class="airport-input" appearance="outline">
      <mat-label>Airport {{flag}} </mat-label>
      <input type="text" [formControl]="countryControl" matInput [matAutocomplete]="auto" [placeholder]="placeholder"
             #country>
      <button *ngIf="country.value" (click)="reset()" matSuffix mat-icon-button aria-label="Clear">
        <mat-icon>close</mat-icon>
      </button>
      <div matSuffix>
        <mat-icon>expand_more</mat-icon>
      </div>
      <mat-autocomplete #auto="matAutocomplete">

        <mat-tree [dataSource]="dataSource" [treeControl]="treeControl">
          <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle matTreeNodePadding>
            <button mat-icon-button disabled></button>
            <mat-option [value]="node.icao == null ? ' (' + node.icao + ')': ''"
                        (click)="emitAirport(node)"
            >
              <span>{{ node.name }} {{node.icao !==  null? '1' : '2'}}</span>

            </mat-option>
          </mat-tree-node>

          <mat-tree-node *matTreeNodeDef="let node; when: hasChild" matTreeNodePadding>
            <button mat-icon-button matTreeNodeToggle
                    [attr.aria-label]="'toggle ' + node.filename">
              <mat-icon class="mat-icon-rtl-mirror">
                {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
              </mat-icon>
            </button>
            {{node.name}}
          </mat-tree-node>
        </mat-tree>
        <mat-option style="height: 0"></mat-option>

      </mat-autocomplete>
      <mat-error *ngIf="countryControl?.hasError('required')">
        Укажите аэропорт!
      </mat-error>
    </mat-form-field>
  </form>
</div>
